OS Shell Scripts
List Shell Scripts
GET /pxe/shell
List of OS Reload Shell Scripts
Response 200: List of OS Reload Shell Scripts
| Field | Type | Description |
|---|---|---|
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Create Shell Script
POST /pxe/shell
Add new Reload Shell Scripts
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
name |
string | yes |
Response 200: A Reload Shell Script
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
name |
string | yes |
Response 422: Unprocessable Entity
Delete Shell Script
DELETE /pxe/shell/{shell_script_id}
Delete an OS Reload Shell Script
Response 200: OS Reload Shell Script deleted successfully
Response 404: Item not Found
View Shell Script
GET /pxe/shell/{shell_script_id}
An OS Reload Shell Script
Response 200: An OS Reload Shell Script
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Edit Shell Script
PATCH /pxe/shell/{shell_script_id}
Edit OS Reload Shell Script
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
name |
string |
Response 200: An OS Reload Shell Script
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
name |
string |
Response 422: Unprocessable Entity